(defvar home-dir "/home/jonathan/Desktop/acl2ml/")
(defconst *weka-dir* (concat home-dir "weka.jar"))


(defun acl2-extraction-mode ()
  (progn
    (load-file (concat home-dir "code/extraction.el"))
    (load-file (concat home-dir "code/table-to-feature-vector.el"))
    (load-file (concat home-dir "code/extraction-recursive.el"))
    (load-file (concat home-dir "code/storage.el"))
    (load-file (concat home-dir "code/shortcuts.el"))
    (load-file (concat home-dir "code/weka-connection.el"))
    (load-file (concat home-dir "code/menus.el"))
    (load-file (concat home-dir "code/used-lemmas.el"))
    (load-file (concat home-dir "code/formatlemmaanalogy.el"))
    ))


(add-to-list 'auto-mode-alist
             '("\\.lisp\\'" . (lambda ()
			     (progn (acl2-as-lisp-mode) (acl2-extraction-mode))
                               )))




